# Class SymbolicNameAnnotation

java.lang.Object
net.sf.statcvs.charts.SymbolicNameAnnotation

All Implemented Interfaces:
  `org.jfree.chart.annotations.Annotation, org.jfree.chart.annotations.XYAnnotation`

public class SymbolicNameAnnotation extends Object implements org.jfree.chart.annotations.XYAnnotation
SymbolicNameAnnotation Provides symbolic name annotations for XYPlots with java.util.Date objects on the domain axis. TODO: Move vertically to accommodate annotations that are close together

Version:
  $Id: SymbolicNameAnnotation.java,v 1.6 2008/04/02 11:22:15 benoitx Exp $
Author:
  Tammo van Lessen

## Field Summary

Fields
Modifier and Type
Field
Description
`static final float`
`MIN_LABEL_X_SPACING`
`static final int`
`STYLE_DEFAULT`
`static final int`
`STYLE_NO_LABELS`

## Constructor Summary

Constructors
Constructor
Description
`SymbolicNameAnnotation(SymbolicName symbolicName, Collection all, int style)`
Creates an annotation for a symbolic name.

## Method Summary

Modifier and Type
Method
Description
`void`
`addChangeListener(org.jfree.chart.event.AnnotationChangeListener listener)`
`static List`
`createAnnotations(Collection symbolicNames)`
`static List`
`createAnnotations(Collection symbolicNames, int style)`
`void`
`draw(Graphics2D g2d, org.jfree.chart.plot.XYPlot xyPlot, Rectangle2D dataArea, org.jfree.chart.axis.ValueAxis domainAxis, org.jfree.chart.axis.ValueAxis rangeAxis, int rendererIndex, org.jfree.chart.plot.PlotRenderingInfo info)`
`void`
`removeChangeListener(org.jfree.chart.event.AnnotationChangeListener listener)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### STYLE_DEFAULT

public static final int STYLE_DEFAULT

See Also:
  - Constant Field Values

### STYLE_NO_LABELS

public static final int STYLE_NO_LABELS

See Also:
  - Constant Field Values

### MIN_LABEL_X_SPACING

public static final float MIN_LABEL_X_SPACING

See Also:
  - Constant Field Values

## Constructor Details

### SymbolicNameAnnotation

public SymbolicNameAnnotation(SymbolicName symbolicName, Collection all, int style)
Creates an annotation for a symbolic name. Paints a gray dashed vertical line at the symbolic names date position and draws its name at the top left.

Parameters:
  `symbolicName` -
  `style` -
  invalid reference

      #STYLE_HEAVY

  or
  invalid reference

      #STYLE_LIGHT

## Method Details

### createAnnotations

public static List createAnnotations(Collection symbolicNames)

### createAnnotations

public static List createAnnotations(Collection symbolicNames, int style)

### draw

public void draw(Graphics2D g2d, org.jfree.chart.plot.XYPlot xyPlot, Rectangle2D dataArea, org.jfree.chart.axis.ValueAxis domainAxis, org.jfree.chart.axis.ValueAxis rangeAxis, int rendererIndex, org.jfree.chart.plot.PlotRenderingInfo info)

Specified by:
  `draw` in interface `org.jfree.chart.annotations.XYAnnotation`
See Also:
  - `XYAnnotation.draw(java.awt.Graphics2D, org.jfree.chart.plot.XYPlot, java.awt.geom.Rectangle2D, org.jfree.chart.axis.ValueAxis, org.jfree.chart.axis.ValueAxis, int, org.jfree.chart.plot.PlotRenderingInfo)`

### removeChangeListener

public void removeChangeListener(org.jfree.chart.event.AnnotationChangeListener listener)

Specified by:
  `removeChangeListener` in interface `org.jfree.chart.annotations.Annotation`

### addChangeListener

public void addChangeListener(org.jfree.chart.event.AnnotationChangeListener listener)

Specified by:
  `addChangeListener` in interface `org.jfree.chart.annotations.Annotation`